var path = require('path')

module.exports = {
    entry: './src/script/index.js',
    output: {
        path: path.join(__dirname, './dist'),
        filename: 'vue-loading-status.js'
    },
    module: {
        rules: [
            {
                test: /\.vue$/,
                loader: 'vue-loader',
                exclude: '/node_modules/',
                options: {
                    loaders: {
                        less: 'style-loader!css-loader!less-loader'
                    }
                }
            },
            {
                test: /\.js$/,
                loader: 'babel-loader',
                include: path.join(__dirname, 'src'),
                exclude: '/node_modules/'
            },
            {
                test: /\.css$/,
                loader: 'style-loader!css-loader',
                include: path.join(__dirname, 'src'),
                exclude: '/node_modules/'
            },
            {
                test: /\.less$/,
                loader: 'style-loader!css-loader!less-loader',
                include: path.join(__dirname, 'src'),
                exclude: '/node_modules/'
            },
            {
                test: /\.(png|jpe?g|gif|svg)(\?.*)?$/,
                loader: 'url-loader',
                options: {
                    limit: 10000
                }
            },
        ]
    },
    plugins: []
}